import { Module } from '@nestjs/common';
import { ConfigModule } from '@nestjs/config';
import configuration from './config/configuration';
import { AppController } from './app.controller';
import { AppService } from './app.service';
import { DatabaseModule } from '@/database/database.module';
import { AlbumModule } from '@/album/album.module';
import { SongModule } from '@/song/song.module';

@Module({
  imports: [
    ConfigModule.forRoot({
      load: [configuration]
    }),
    DatabaseModule,
    AlbumModule,
    SongModule,
  ],
  controllers: [AppController],
  providers: [AppService],
})
export class AppModule {}
